aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/deployqtHelper_mac.sh
diff options
context:
space:
mode:
authorEike Ziller <eike.ziller@theqtcompany.com>2015-07-10 14:53:56 +0200
committerChristian Kandeler <christian.kandeler@theqtcompany.com>2015-07-15 09:49:15 +0000
commit68acdd7d0d958103ecc153fa5566141d649dfdd9 (patch)
treef7d87f983e8be888971cc8cdc6f3fee5821a8b35 /scripts/deployqtHelper_mac.sh
parentf07e3670c1075c73f27e37aa908e90b8f062ae80 (diff)
Follow-up fixes for the libexec path change
The fallback puppet must be found in libexecPath now. Deployment on OS X must also be adapted to the new location. Broke with 6d5a5aff9462b4253047f0ed2707ffa2e3497a19 Change-Id: I8dc3d62188a2f19a7e203f939bd88065fb0504f8 Reviewed-by: Christian Kandeler <christian.kandeler@theqtcompany.com> Reviewed-by: Thomas Hartmann <Thomas.Hartmann@digia.com>
Diffstat (limited to 'scripts/deployqtHelper_mac.sh')
-rwxr-xr-xscripts/deployqtHelper_mac.sh9
1 files changed, 2 insertions, 7 deletions
diff --git a/scripts/deployqtHelper_mac.sh b/scripts/deployqtHelper_mac.sh
index be7929a5ff..b864c98c1c 100755
--- a/scripts/deployqtHelper_mac.sh
+++ b/scripts/deployqtHelper_mac.sh
@@ -82,12 +82,7 @@ fi
if [ ! -d "$1/Contents/Frameworks/QtCore.framework" ]; then
- qmlpuppetapp="$1/Contents/MacOS/qmlpuppet"
- if [ -f "$qmlpuppetapp" ]; then
- qmlpuppetArgument="-executable=$qmlpuppetapp"
- fi
-
- qml2puppetapp="$1/Contents/MacOS/qml2puppet"
+ qml2puppetapp="$1/Contents/Resources/qml2puppet"
if [ -f "$qml2puppetapp" ]; then
qml2puppetArgument="-executable=$qml2puppetapp"
fi
@@ -111,6 +106,6 @@ if [ ! -d "$1/Contents/Frameworks/QtCore.framework" ]; then
"-executable=$qbsapp-setup-android" \
"-executable=$qbsapp-setup-qt" \
"-executable=$qbsapp-setup-toolchains" \
- "$qmlpuppetArgument" "$qml2puppetArgument" "$clangbackendArgument" || exit 1
+ "$qml2puppetArgument" "$clangbackendArgument" || exit 1
fi